class ApplicationController < ActionController::Base
  protect_from_forgery
  include ApplicationHelper
  include SessionsHelper


  # inject username/email into bugsnag data
  before_bugsnag_notify :add_user_info_to_bugsnag

  private
  def add_user_info_to_bugsnag(notif)
    # Add some app-specific data which will be displayed on a custom
    # "User Info" tab on each error page on bugsnag.com

    unless current_user.nil?
      notif.add_tab(:user_info, {
          name: current_user.name,
          email: current_user.email
      })
    end
  end
end
